# Midgard's dotfiles

Configuration based on elegant pure black.

## Screenshots

These screenshots are slightly out of date, since I change my config without updating these each time.

![Empty desktop](.repo-stuff/desktop.png)
![Open Rofi launcher](.repo-stuff/rofi.png)

Background image shown:
* original by [Charlesjsharp](https://commons.wikimedia.org/wiki/User:Charlesjsharp): [Red-billed streamertail (Trochilus polytmus) female in flight 2](https://commons.wikimedia.org/wiki/File:Red-billed_streamertail_(Trochilus_polytmus)_female_in_flight_2.JPG). Licensed under [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/deed.en)
* modified by Midgard: darkened and made more green. Licensed under [CC0](https://creativecommons.org/publicdomain/zero/1.0/) (which means you only have to credit Charlesjsharp and mention that it was modified, you don't have to attribute it to me)

## Requirements

The Arch Linux package to install is between parentheses.

* i3-gaps ([community/i3-gaps](https://www.archlinux.org/packages/community/x86_64/i3-gaps/), window manager)
* Rofi ([community/rofi](https://www.archlinux.org/packages/community/x86_64/rofi/), launcher)
* Dunst ([community/dunst](https://www.archlinux.org/packages/community/x86_64/dunst/), notification daemon)
* Polybar ([aur/polybar](https://aur.archlinux.org/packages/polybar), system bar)
* python-notify2 ([aur/python-notify2](https://aur.archlinux.org/packages/python-notify2/), library to send notifications)
* Mozilla's Fira fonts ([community/otf-fira-code](https://www.archlinux.org/packages/community/x86_64/otf-fira-code/), [community/otf-fira-mono](https://www.archlinux.org/packages/community/x86_64/otf-fira-mono/) and [community/otf-fira-sans](https://www.archlinux.org/packages/community/x86_64/otf-fira-sans/))
* xfce4-terminal ([extra/xfce4-terminal](https://www.archlinux.org/packages/extra/x86_64/xfce4-terminal/), but you can choose your own terminal of course if you want)
* NeoVim ([community/neovim](https://www.archlinux.org/packages/community/x86_64/neovim/), text editor)
	* par ([aur/par](https://aur.archlinux.org/packages/par/) for nice text reflowing)
	* xclip ([extra/xclip](https://www.archlinux.org/packages/extra/x86_64/xclip/) for clipboard integration)
	* [YouCompleteMe](https://framagit.org/Midgard/YouCompleteMe)'s dependencies
	* ripgrep ([community/ripgrep](https://www.archlinux.org/packages/community/x86_64/ripgrep/), smart grep)
* acpilight ([aur/acpilight](https://aur.archlinux.org/packages/acpilight/), an xbacklight replacement that directly uses the kernel's API, works without X)
* xrandr and arandr ([extra/xorg-xrandr](https://www.archlinux.org/packages/extra/x86_64/xorg-xrandr/) and [community/arandr](https://www.archlinux.org/packages/community/any/arandr/))
* unclutter ([community/unclutter](https://www.archlinux.org/packages/community/x86_64/unclutter/), hide the mouse when it hasn't moved for some time)
* driver for your video card that supports GLX

## Installation

You are encouraged to copy stuff you like to your own configuration files. If you want to copy my setup, you can use the script `install.sh` (that script is normally mostly for myself though).

Create a symlink to a background image in `~/.config/i3/background`.

## TODO

* Document more about how to get NeoVim and the plugins up and running.
* Expand and test the install script.
* Add my improved battery monitor script.
